{
  roles,
  homelabConfig,
  ...
}:
let
  hlConfig = homelabConfig;
in
{
  base = {
    roles = [ ];
    config = { };
    stateVersion = "24.05";
  };

  nix-test = {
    roles = with roles; [
      traefik
      sonarr
    ];
    config = {
      sonarr.domain = "sonarr2.${hlConfig.domain}";
      traefik.wildcardDomains = [ hlConfig.domain ];
    };
    stateVersion = "24.05";
  };

  nix-test2 = {
    roles = with roles; [
      sonarr
    ];
    config = {
      sonarr.domain = "sonarr.${hlConfig.domain}";
    };
    stateVersion = "24.05";
  };
}
